package com.mortals.xhx.module.model.model;

import java.util.List;
import java.util.ArrayList;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.model.model.vo.ModelVo;
/**
* 模块实体对象
*
* @author zxfei
* @date 2022-01-12
*/

public class ModelEntity extends ModelVo {
    private static final long serialVersionUID = 1L;

    /**
    * 模块名称
    */
    private String modelName;
    /**
    * 模块编码
    */
    private String modelCode;
    /**
    * 模块图标
    */
    private String modelIcon;
    /**
    * 模块地址
    */
    private String modelUrl;
    /**
    * 备注信息
    */
    private String remark;
    /**
    * 排序
    */
    @JSONField(serialize = false)
    private Integer sort;



    public ModelEntity(){}
    /**
    * 获取 模块名称
    * @return String
    */
    public String getModelName(){
        return modelName;
    }
    /**
    * 设置 模块名称
    * @param modelName
    */
    public void setModelName(String modelName){
        this.modelName = modelName;
    }
    /**
    * 获取 模块编码
    * @return String
    */
    public String getModelCode(){
        return modelCode;
    }
    /**
    * 设置 模块编码
    * @param modelCode
    */
    public void setModelCode(String modelCode){
        this.modelCode = modelCode;
    }
    /**
    * 获取 模块图标
    * @return String
    */
    public String getModelIcon(){
        return modelIcon;
    }
    /**
    * 设置 模块图标
    * @param modelIcon
    */
    public void setModelIcon(String modelIcon){
        this.modelIcon = modelIcon;
    }
    /**
    * 获取 模块地址
    * @return String
    */
    public String getModelUrl(){
        return modelUrl;
    }
    /**
    * 设置 模块地址
    * @param modelUrl
    */
    public void setModelUrl(String modelUrl){
        this.modelUrl = modelUrl;
    }
    /**
    * 获取 备注信息
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注信息
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
    * 获取 排序
    * @return Integer
    */
    public Integer getSort(){
        return sort;
    }
    /**
    * 设置 排序
    * @param sort
    */
    public void setSort(Integer sort){
        this.sort = sort;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ModelEntity) {
            ModelEntity tmp = (ModelEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",modelName:").append(getModelName());
        sb.append(",modelCode:").append(getModelCode());
        sb.append(",modelIcon:").append(getModelIcon());
        sb.append(",modelUrl:").append(getModelUrl());
        sb.append(",remark:").append(getRemark());
        sb.append(",sort:").append(getSort());
        return sb.toString();
    }

    public void initAttrValue(){

            this.modelName = null;

            this.modelCode = null;

            this.modelIcon = null;

            this.modelUrl = null;

            this.remark = null;

            this.sort = 0;
    }
}